Ebay companion erroneously reports 64bit version of Firefox

Bug #243869 reported by Alfred on 2008-06-29
10
Affects Status Importance Assigned to Milestone
Firefox Extensions
Undecided
Unassigned
Nominated for Trunk by Steven Rose
Mozilla Firefox
Invalid
Unknown
firefox-3.0 (Ubuntu)
Undecided
Unassigned

Bug Description

Not sure which package it is. I upgraded to Firefox 3 in Ubuntu 8.04 32 Bit, from the repository, in upgrades. I added Firefox add-ons for Ebay tools. (Ebay Companion was one and Ebay Time Zone was one) Was told to restart Firefox. When it came on again, the first error message said that Firefox was a 64 bit version, and needed to be removed and then the firefox 32 bit version installed. The second error was that an item was missing, and 5 lines of code were supplied to fix that error, but when it restarted both errors were still there. After I made the effort to fix the missing item.

Paul Worrall (nicknak) wrote :

Are these the "lines of code" you followed to fix the error? (They fixed it for me)

cd /usr/lib
sudo ln -s libnspr4.so.0d libnspr4.so
cd ~/.mozilla/firefox/*.default
rm xpti.dat compreg.dat

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this bug as a bug in firefox-3.0.

Hi Paul W:
Yes it looks like it, but the error is still there, next time I turn on
Firefox 3 in Ubuntu 8.04 32 bit version. I checked to make sure I didn't
make any Mistrakes with the Dismal Points or spilling! :) See it still
says that Firefox 3 is a 64bit version. The Entomologists on the
Launchpad Bug list wanted more details and gave me some methods to do
that, so I'll work on it a bit more to do that.

Alfred!
-----Original Message-----
From: Paul Worrall <email address hidden>
Reply-To: Bug 243869 <email address hidden>
To: <email address hidden>
Subject: [Bug 243869] Re: 8.04 32 bit
Date: Sun, 29 Jun 2008 07:41:28 -0000

Are these the "lines of code" you followed to fix the error? (They fixed
it for me)

cd /usr/lib
sudo ln -s libnspr4.so.0d libnspr4.so
cd ~/.mozilla/firefox/*.default
rm xpti.dat compreg.dat

Launchpad Bug Tracker wrote:
> You have been subscribed to a public bug:
>
> Not sure which package it is. I upgraded to Firefox 3 in Ubuntu 8.04 32
> Bit, from the repository, in upgrades. I added Firefox add-ons for Ebay
> tools. (Ebay Companion was one and Ebay Time Zone was one) Was told to
> restart Firefox. When it came on again, the first error message said
> that Firefox was a 64 bit version, and needed to be removed and then the
> firefox 32 bit version installed. The second error was that an item was
> missing, and 5 lines of code were supplied to fix that error, but when
> it restarted both errors were still there. After I made the effort to
> fix the missing item.
>
> ** Affects: firefox-3.0 (Ubuntu)
> Importance: Undecided
> Status: New
>
>
Do you still have 64bit firefox installed? also any packages that are
different for 64 to 32 bit. also if see if you can change the default
in update-alternatives but im betting you still have xulrunner-1.9 or
firefox-3.0 64 packages left so its trying to use that.

 status incomplete

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

Changed in firefox-3.0:
status: New → Incomplete

Alfred.s: I'm not real sure what to do here, I'm not real good with the shell, if you can give me a detailed method for the collection of the data you need then I'll try to collect it for you and I'll post it on this bug #243869

Steven Rose (steveydoteu) wrote :

If followed correctly, the 'lines of code' as noted above will fix the error, provided that you meet the following conditions, explicitly.

- You are indeed running Ubuntu 8.04.1 32bit.
- You are running Firefox 3.

Use each line separately rather than in a block. Under Applications > Accesories you will find 'Terminal'. Copy and then paste (using [shift] + [ins]) the first line into the terminal session, press enter, following any instructions you are given on screen, repeat this for the other three lines of code. Fixed the problem for me and countless clients.

Steven Rose (steveydoteu) wrote :

I have submitted the bug with the Ebay Companion extension to Bugzilla.

Steven Rose (steveydoteu) wrote :

Error seemingly regarding the Ebay Companion, I have updated the title and description to encompass the actual error regarding the specific extension.
I suggest if previous solutions are not working, remove both extensions, and then reinstall JUST the Ebay companion and see what happens. Apologies for the comment 'spamming' I hit enter on that last one without meaning to.

Changed in firefox-3.0:
assignee: nobody → mozilla-firefox
status: Incomplete → Confirmed
Changed in firefox-3.0:
assignee: mozilla-firefox → nobody
Changed in firefox:
status: Unknown → Invalid

I did this, and it didn't work. Ebay companion does not work in Firefox
3, on Ubuntu 8.04 in 32 bit, it will not open after the Connect
procedure finishes. I didn't get rid of Firefox 3 yet, because I'm not
sure where the error actually is. It could be reporting this error, when
there is no error. It could be that FireFox 3 is a 64 bit version. It's
hard to tell because there is no mention on Firefox three that is is 64
bit. Perhaps it would be good to include it in the splash window of a
program that it is 32 bit or 64 bit or 128 bit or 256 bit, etc. That way
I'd know but when they are all the same, it's hard to tell.

Alfred.
Poste Script It's a alternative thing, to list software, as though it
will work on any platform. In Linux some programs will do this, but in
this case, there are unsupported problems, in E-bay Companion, not
supporting 64 bit Firefox 3.

-----Original Message-----
From: stevey[dot]eu <email address hidden>
Reply-To: Bug 243869 <email address hidden>
To: <email address hidden>
Subject: [Bug 243869] Re: Firefox upgrades to wrong version
Date: Mon, 30 Jun 2008 14:51:55 -0000

If followed correctly, the 'lines of code' as noted above will fix the
error, provided that you meet the following conditions, explicitly.

- You are indeed running Ubuntu 8.04.1 32bit.
- You are running Firefox 3.

Use each line separately rather than in a block. Under Applications >
Accesories you will find 'Terminal'. Copy and then paste (using [shift]
+ [ins]) the first line into the terminal session, press enter,
following any instructions you are given on screen, repeat this for the
other three lines of code. Fixed the problem for me and countless
clients.

Steven Rose (steveydoteu) wrote :

Did you install Ubuntu 8.02 32bit or 64bit, that would be a simple way to answer the question regarding Firefox.

Moreover, there was an update to the Ebay Companion yesterday, I believe it was, so this will most probably solve the problem. I have not had a chance to test this, as I had already used the above mentioned solution.

Also, something to note, I personally don't mind, but some people may have issues with you posting their email address in bug comments.

Steven Rose (steveydoteu) wrote :

On a related note, having just installed FF on another machine, I have found that the new 1.6 version of the Ebay Companion still creates the same error.

Hi:
>>>Did you install Ubuntu 8.02 32bit or 64bit, that would be a simple
way
to answer the question regarding Firefox.

I installed Ubuntu 8.04 32 bit, and everything worked fine until I
installed Ebay Companion. When I rebooted from that, it reports that
Firefox is the 64 bit version I'd need to uninstall Fire Fox3 and then
put in the Fire fox 3 32 bit version, and then a second error that
there is a file missing, and these 5 lines of code fix the problem. I
could not trust that Firefox was 64 bit, so I left it installed to see
what other people's experience with it was. Each time I try to connect
Ebay Companion in 8.04 32 bit with Firefox 3 the same error appears.
After handling the second error Ebay Companion does not connect, after
the sign in procedure. Sorry I did not reply yesterday, I was busy with
some other things.

Alfred!
-----Original Message-----
From: stevey[dot]eu <email address hidden>
Reply-To: Bug 243869 <email address hidden>
To: <email address hidden>
Subject: [Bug 243869] Re: Ebay companion erroneously reports 64bit
version of Firefox
Date: Wed, 02 Jul 2008 13:41:43 -0000

Did you install Ubuntu 8.02 32bit or 64bit, that would be a simple way
to answer the question regarding Firefox.

Moreover, there was an update to the Ebay Companion yesterday, I believe
it was, so this will most probably solve the problem. I have not had a
chance to test this, as I had already used the above mentioned solution.

Also, something to note, I personally don't mind, but some people may
have issues with you posting their email address in bug comments.

Steven Rose (steveydoteu) wrote :

In which case, I fail to see why you are having any issues...The fix given in the error dialogues is the same as the one posted here on at least two occasions. If followed exactly, copying and pasting if needs must, into a terminal, one line at a time, it is a temporary work around to the problem, at least until Ebay update the .xpi

Nevertheless in a terminal try this for me:

 $ sudo lshw -class display -sanitize

The output should be similar to the attached text file. Copy and paste your output into a text file, and attach it.

Alfred (alfred-s-nexicom) wrote :

Hi Stevey:

I've typed it in several times, then checked for errors, then ran the 5
line code one line at a time, and Ebay Companion does not connect at the
end of the sign in session. I will un-install the Ebay Companion, Ebay
Timezone and a few others tomorrow, and then try this out again. I have
a client to go to today.

Remember I'm not very good with the shell.

When I ran the single line you provided, this popped up:

Hardware Lister (lshw) - B.02.10
usage: lshw [-format] [-options ...]
       lshw -version

        -version print program version (B.02.10)

format can be
        -html output hardware tree as HTML
        -xml output hardware tree as XML
        -short output hardware paths
        -businfo output bus information

options can be
        -class CLASS only show a certain class of hardware
        -C CLASS same as '-class CLASS'
        -disable TEST disable a test (like pci, isapnp, cpuid, etc. )
        -enable TEST enable a test (like pci, isapnp, cpuid, etc. )
        -quiet don't display status

You need to provide me with the line exactly, see I don't know this kind
of script, or the syntax rules that go along with it. I looked at the
example that you provided, but never got that far, because, it is in
effect saying that the Format needs to be specified, and the Options
need to be more precise. You are the person that is a Genius with
Scripts, me I'm a Genius at fixing things, in ways you may have no
understanding of. I will do exactly what you write, to try to provide
you with the data that you need.

Alfred!

-----Original Message-----
From: stevey[dot]eu <email address hidden>
Reply-To: Bug 243869 <email address hidden>
To: <email address hidden>
Subject: [Bug 243869] Re: Ebay companion erroneously reports 64bit
version of Firefox
Date: Thu, 03 Jul 2008 01:47:37 -0000

In which case, I fail to see why you are having any issues...The fix
given in the error dialogues is the same as the one posted here on at
least two occasions. If followed exactly, copying and pasting if needs
must, into a terminal, one line at a time, it is a temporary work around
to the problem, at least until Ebay update the .xpi

Nevertheless in a terminal try this for me:

 $ sudo lshw -class display -sanitize

The output should be similar to the attached text file. Copy and paste
your output into a text file, and attach it.

** Attachment added: "Example lshw script"
   http://launchpadlibrarian.net/15772812/graphics.txt

I have not posted Email Addresses in Bug Comments, that I'm aware of. In
the TO: is needed to reply. Usually I just use a name.

Alfred!
-----Original Message-----
From: Alfred <email address hidden>
Reply-To: Bug 243869 <email address hidden>
To: <email address hidden>
Subject: Re: [Bug 243869] Re: Ebay companion erroneously reports 64bit
version of Firefox
Date: Wed, 02 Jul 2008 23:23:33 -0000

Hi:
>>>Did you install Ubuntu 8.02 32bit or 64bit, that would be a simple
way
to answer the question regarding Firefox.

I installed Ubuntu 8.04 32 bit, and everything worked fine until I
installed Ebay Companion. When I rebooted from that, it reports that
Firefox is the 64 bit version I'd need to uninstall Fire Fox3 and then
put in the Fire fox 3 32 bit version, and then a second error that
there is a file missing, and these 5 lines of code fix the problem. I
could not trust that Firefox was 64 bit, so I left it installed to see
what other people's experience with it was. Each time I try to connect
Ebay Companion in 8.04 32 bit with Firefox 3 the same error appears.
After handling the second error Ebay Companion does not connect, after
the sign in procedure. Sorry I did not reply yesterday, I was busy with
some other things.

Alfred!
-----Original Message-----
From: stevey[dot]eu <email address hidden>
Reply-To: Bug 243869 <email address hidden>
To: <email address hidden>
Subject: [Bug 243869] Re: Ebay companion erroneously reports 64bit
version of Firefox
Date: Wed, 02 Jul 2008 13:41:43 -0000

Did you install Ubuntu 8.02 32bit or 64bit, that would be a simple way
to answer the question regarding Firefox.

Moreover, there was an update to the Ebay Companion yesterday, I believe
it was, so this will most probably solve the problem. I have not had a
chance to test this, as I had already used the above mentioned solution.

Also, something to note, I personally don't mind, but some people may
have issues with you posting their email address in bug comments.

Paul Gideon Dann (pdgiddie) wrote :

Hi everyone,

I'm the lead developer for the eBay Companion. Sorry it's taken me a while to find my way to this bug on Launchpad. I added the instructions to the error popup just before the last release in the hope of curbing the number of bug reports we were getting :)

Anyway, the problem seems to be caused by a missing symlink in the package for Firefox 3. Binary components in Firefox extensions are linked against libnspr4.so. However, Ubuntu's libnspr4.so is named libnspr4.so.0d. I'm really curious to know why actually! Anyway, creating a symlink solves the problem, and deleting compreg.dat and xpti.dat from the profile directory clears Firefox's component cache, causing it to check any libraries that previously failed to load and (usually) fixing the problem.

To those people for whom this does not fix the problem: maybe you're not using the "default" profile? If you're using a Firefox profile that you created manually, try deleting the compreg.dat and xpti.dat files from that profile directory. Also, make sure that /usr/lib/libnspr4.so exists and that it points to libnspr4.so.0d.

Thank you for your very thorough reply. I don't know what it means. I
don't remember making a different profile, don't think I did that.

>>>However, Ubuntu's libnspr4.so is named
libnspr4.so.0d. I'm really curious to know why actually!

So you are making sort of a dummy label and pointing that to Ubuntu's
libnspr4.so.0d I'm not a programmer at all any more. I'm not real good
with the shell yet.

>>>Anyway, the problem seems to be caused by a missing symlink in the
package for Firefox 3. Binary components in Firefox extensions are
linked against libnspr4.so. However, Ubuntu's libnspr4.so is named
libnspr4.so.0d. I'm really curious to know why actually! Anyway,
creating a symlink solves the problem, and deleting compreg.dat and
xpti.dat from the profile directory clears Firefox's component cache,
causing it to check any libraries that previously failed to load and
(usually) fixing the problem.

Should this be a script that remains as part of the program, every time
it is run, it serves this purpose, or is it fixed if you run this once.
I've run it several times, and no fix.

Is it possible to make this into a patch, so that someone like me,
could just install it, and not have to hum and haw about what to do
next, or what the meaning of the terms are?

I was going to un-install the Ebay tools and try to install them
again, but from what you are saying, this might make no difference.

>>>To those people for whom this does not fix the problem: maybe you're not
using the "default" profile?

What is a profile? What is the default Profile? What is the profile
that can be created manually? What does this mean? What is a Profile Directory?

Alfred!

PS I'm using 7.10 Ebay companion, and it works good in 7.10,
Ubuntu 7.10 32 bit. Thank you for making it and the 8.04 version available.

-----Original Message-----
From: Paul Gideon Dann <email address hidden>
Reply-To: Bug 243869 <email address hidden>
To: <email address hidden>
Subject: [Bug 243869] Re: Ebay companion erroneously reports 64bit
version of Firefox
Date: Fri, 04 Jul 2008 10:48:08 -0000

Hi everyone,

I'm the lead developer for the eBay Companion. Sorry it's taken me a
while to find my way to this bug on Launchpad. I added the instructions
to the error popup just before the last release in the hope of curbing
the number of bug reports we were getting :)

Anyway, the problem seems to be caused by a missing symlink in the
package for Firefox 3. Binary components in Firefox extensions are
linked against libnspr4.so. However, Ubuntu's libnspr4.so is named
libnspr4.so.0d. I'm really curious to know why actually! Anyway,
creating a symlink solves the problem, and deleting compreg.dat and
xpti.dat from the profile directory clears Firefox's component cache,
causing it to check any libraries that previously failed to load and
(usually) fixing the problem.

To those people for whom this does not fix the problem: maybe you're not
using the "default" profile? If you're using a Firefox profile that you
created manually, try deleting the compreg.dat and xpti.dat files from
that profile directory. Also, make sure that /usr/lib/libnspr4.so
exists and that it points to libnspr4.so.0d.

Paul Gideon Dann (pdgiddie) wrote :

Hi Alfred; I wrote the above technical details more so that the Ubuntu people can know what the problem is and fix it their end. I'll e-mail you directly to try and figure out why this fix isn't working for you, and if we find anything that could help others, we can post it back here for the Ubuntu people to see. Best to keep traffic on this Launchpad bug report to a minimum so as not to make it a nightmare for the Ubuntu developers to check out :)

Oh and yes, you can think of a symlink a bit like a shortcut in Windows.

Steven Rose (steveydoteu) wrote :

Alfred, browse to your home directory (found on the places menu) and then press ctrl + h to display hidden items. There should be a directory called ".mozilla" open it and browse into the firefox directory.

In my attached screen shot you will see how my directory looks, with just the default Firefox profile. Please could you tell me the names of any directories within your folder at the same location. This will help us to ascertain the exact title of your profile folder. To save any further issues I can then create a shell script with the correct code in for you to run and in turn correct the problem.

Hope this helps a little better.

Steven

Changed in firefox-3.0:
status: Confirmed → In Progress
assignee: nobody → pdgiddie
Changed in firefox-extensions:
assignee: nobody → pdgiddie
status: New → In Progress
Paul Gideon Dann (pdgiddie) wrote :

To whoever assigned the bug to me: maybe I wasn't clear. It's not something that I can fix in the Companion. The problem lies in the Ubuntu package for Firefox 3.

Changed in firefox-3.0:
assignee: pdgiddie → nobody
status: In Progress → Confirmed
Alfred (alfred-s-nexicom) wrote :

Thank you Stevey:

I will have this for you tomorrow evening. These instructions look like
they are easy to follow. I saw the picture too. I'm in 7.10 right now,
I'll remember to boot up in 8.04 to collect the data.

Alfred!
-----Original Message-----
From: stevey[dot]eu <email address hidden>
Reply-To: Bug 243869 <email address hidden>
To: <email address hidden>
Subject: [Bug 243869] Re: Ebay companion erroneously reports 64bit
version of Firefox
Date: Fri, 04 Jul 2008 16:00:07 -0000

Alfred, browse to your home directory (found on the places menu) and
then press ctrl + h to display hidden items. There should be a directory
called ".mozilla" open it and browse into the firefox directory.

In my attached screen shot you will see how my directory looks, with
just the default Firefox profile. Please could you tell me the names of
any directories within your folder at the same location. This will help
us to ascertain the exact title of your profile folder. To save any
further issues I can then create a shell script with the correct code in
for you to run and in turn correct the problem.

Hope this helps a little better.

Steven

** Attachment added: "ffprof.png"
   http://launchpadlibrarian.net/15827667/ffprof.png

Hi Stevey eu:
Today instead of tomorrow:
Pressing Ctrl + h going to /home/alf/.mozilla/firefox there are 3 items:

vkuuxfit.default - Folder pluginreg.dat - file profiles.ini -file

Alfred!

On Fri, 2008-07-04 at 23:13 +0000, Alfred wrote:
> Thank you Stevey:
>
> I will have this for you tomorrow evening. These instructions look like
> they are easy to follow. I saw the picture too. I'm in 7.10 right now,
> I'll remember to boot up in 8.04 to collect the data.
>
> Alfred!
> -----Original Message-----
> From: stevey[dot]eu <email address hidden>
> Reply-To: Bug 243869 <email address hidden>
> To: <email address hidden>
> Subject: [Bug 243869] Re: Ebay companion erroneously reports 64bit
> version of Firefox
> Date: Fri, 04 Jul 2008 16:00:07 -0000
>
> Alfred, browse to your home directory (found on the places menu) and
> then press ctrl + h to display hidden items. There should be a directory
> called ".mozilla" open it and browse into the firefox directory.
>
> In my attached screen shot you will see how my directory looks, with
> just the default Firefox profile. Please could you tell me the names of
> any directories within your folder at the same location. This will help
> us to ascertain the exact title of your profile folder. To save any
> further issues I can then create a shell script with the correct code in
> for you to run and in turn correct the problem.
>
> Hope this helps a little better.
>
> Steven
>
> ** Attachment added: "ffprof.png"
> http://launchpadlibrarian.net/15827667/ffprof.png
>

Hi Dann:

I've sent you the data that you wanted out of 8.04. I only ever used DOS
X.X Windows 3.1 , 3.11, 95, and 98SE. I've been using Linux for the last
3 years, but only get to study it in the winter. Way back in time I
learnt 8080 assembler, Z80 Assembler, 6502 assembler, then just gave up.
Also learnt Cobol, Various Basics, Compass on the PDP 8. Played with OSI
Challenger, Timex Sinclair a bit, and C-64 C128. The label idea was from
that time, not windows.

Alfred!
-----Original Message-----
From: Paul Gideon Dann <email address hidden>
Reply-To: Bug 243869 <email address hidden>
To: <email address hidden>
Subject: [Bug 243869] Re: Ebay companion erroneously reports 64bit
version of Firefox
Date: Fri, 04 Jul 2008 12:32:21 -0000

Hi Alfred; I wrote the above technical details more so that the Ubuntu
people can know what the problem is and fix it their end. I'll e-mail
you directly to try and figure out why this fix isn't working for you,
and if we find anything that could help others, we can post it back here
for the Ubuntu people to see. Best to keep traffic on this Launchpad
bug report to a minimum so as not to make it a nightmare for the Ubuntu
developers to check out :)

Oh and yes, you can think of a symlink a bit like a shortcut in Windows.

Steven Rose (steveydoteu) wrote :

Try this script then mate. You may just need to right click on it and under properties > permissions check the box that allows it to be run as an executable.

Double click it, and press run in terminal, entering your root password when it asks for it, then this should sort things.

On a side note to anyone else reading this, the script is written specifically for Alfred's profile folder, but in the file there are instructions on editing it to suit your needs. Just open it up in a text editor.

Changed in firefox-3.0:
status: Confirmed → Fix Committed
Changed in firefox-extensions:
assignee: pdgiddie → nobody
status: In Progress → Fix Committed
Steven Rose (steveydoteu) wrote :
Steven Rose (steveydoteu) wrote :

For future reference, for anyone really. I have compacted the relevant information regarding the problem and its current soltion here:

http://www.stevey.eu/2008/07/ubuntu-firefox-30-ebay-and-its-companion/

Alfred (alfred-s-nexicom) wrote :

Hi Stevey eu:

I ran the script in 8.04 as you said to do. After Ebay sign in, on Ebay
Companion, the ending list comes up the way it normally does. I tried it
twice after a Reboot, and it still worked. (Now to see if everything
else still works and there is nothing broken :). ) Someone asked why the
file name had been changed, and it might have been changed if it was a
shared file, eg, used by more than one program. Making the change in
it's name might have suited one of the other programs that might be
making use of it.

At the moment it looks like bug 243869 Ebay companion erroneously
reports 64bit version of Firefox 3 is fixed. I'll just check this hunch
out, tomorrow morning, see if the other things still work. If they do
then it will be a Very Good Solution!

Thank you for your Time and Effort, Stevey eu, and Dann Gideon.

Alfred!
PS ~Now onto the next bug. Add CD in Synaptic for repositories on CD and
DVD, in 8.04 32 bit is not working. Any Takers?
-----Original Message-----
From: stevey[dot]eu <email address hidden>
Reply-To: Bug 243869 <email address hidden>
To: <email address hidden>
Subject: [Bug 243869] Re: Ebay companion erroneously reports 64bit
version of Firefox
Date: Sat, 05 Jul 2008 00:55:39 -0000

For future reference, for anyone really. I have compacted the relevant
information regarding the problem and its current soltion here:

http://www.stevey.eu/2008/07/ubuntu-firefox-30-ebay-and-its-companion/

Paul Gideon Dann (pdgiddie) wrote :

I'm glad it's working for you now Alfred. However, the bug is still present in Ubuntu, and we still need to get the Ubuntu developers to fix the problem in the Firefox package. This problem won't affect just the Companion. In will affect any extension that contains a binary component to interface to the system.

Alfred (alfred-s-nexicom) wrote :

Hi Dann, and Stevey:

I checked other applications in 8.04 Ubuntu 32 bit and they all still
work. So this is Quite a Good Solution.

Thank you again!

Alfred!

On Sat, 2008-07-05 at 10:30 +0000, Paul Gideon Dann wrote:
> I'm glad it's working for you now Alfred. However, the bug is still
> present in Ubuntu, and we still need to get the Ubuntu developers to fix
> the problem in the Firefox package. This problem won't affect just the
> Companion. In will affect any extension that contains a binary
> component to interface to the system.
>

Paul Gideon Dann (pdgiddie) wrote :

Hi Alfred. I'm glad it's working for you. However, there are still a lot of other people for whom this will be a problem. Relatively few Firefox extensions use binary components, but those that do will not work without this fix, and so we need Ubuntu's Firefox 3 package to be fixed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.